## gsoap 2.8.30

=== gsoap/samples/webserver/Makefile ===
GSOAP=../../src/soapcpp2
SOAPH=../../stdsoap2.h
SOAPC=../../stdsoap2.c
SOAPCPP=../../stdsoap2.cpp
SOAPDOMC=../../dom.c
SOAPDOMCPP=../../dom.cpp
CC=gcc
CPP=g++
LIBS=-lpthread -lz -lssl -lcrypto
COFLAGS=-O2
CWFLAGS=-Wall -Wno-deprecated-declarations
CIFLAGS=-I../.. -I../../plugin
CMFLAGS=-DWITH_COOKIES -DWITH_GZIP -DWITH_OPENSSL 
CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
all:		webserver
webserver:	webserver.h webserver.c logging.o httpget.o httpform.o httpda.o smdevp.o threads.o options.o $(SOAPH) $(SOAPC)
		$(GSOAP) -c -L webserver.h
		$(CC) $(CFLAGS) -o webserver webserver.c logging.o httpget.o httpform.o httpda.o smdevp.o threads.o options.o soapC.c soapClient.c soapServer.c $(SOAPC) $(LIBS)
options.o:	opt.h options.h options.c
		$(GSOAP) -cnpopt opt.h
		$(CC) $(CFLAGS) -c options.c
logging.o:	../../plugin/logging.h ../../plugin/logging.c
		$(CC) $(CFLAGS) -c ../../plugin/logging.c
httpget.o:      ../../plugin/httpget.h ../../plugin/httpget.c
		$(CC) $(CFLAGS) -c ../../plugin/httpget.c
httpform.o:	../../plugin/httpform.h ../../plugin/httpform.c
		$(CC) $(CFLAGS) -c ../../plugin/httpform.c
httpda.o:	../../plugin/httpda.h ../../plugin/httpda.c
		$(CC) $(CFLAGS) -c ../../plugin/httpda.c
smdevp.o:	../../plugin/smdevp.h ../../plugin/smdevp.c
		$(CC) $(CFLAGS) -c ../../plugin/smdevp.c
threads.o:	../../plugin/threads.h ../../plugin/threads.c
		$(CC) $(CFLAGS) -c ../../plugin/threads.c
.PHONY: clean distclean
clean:
		rm -f *.o soapH.h soapStub.h soapC.c soapClient.c soapServer.c soapClientLib.c soapServerLib.c
distclean:
		rm -f *.o soapH.h soapStub.h soapC.c soapClient.c soapServer.c soapClientLib.c soapServerLib.c
		rm -f *.wsdl *.xsd *.xml *.nsmap *.log
		rm -f webserver

=== debian/changelog ===
gsoap (2.8.30-1) unstable; urgency=medium

  * New upstream release (Closes: #819004)
  * Bump soname
  * Drop patch fixed upstream: gsoap-aliasing.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 19 Apr 2016 11:51:50 +0200

=== debian/control ===
Source: gsoap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), dh-autoreconf, flex, bison, libssl-dev, doxygen, graphviz
Standards-Version: 3.9.7
Section: devel
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gsoap
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gsoap
Homepage: http://gsoap2.sourceforge.net/

Package: libgsoap9
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Runtime libraries for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Runtime libraries.

Package: libgsoap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Replaces: gsoap (<< 2.8.12)
Breaks: gsoap (<< 2.8.12)
Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap9 (= ${binary:Version})
Description: Development libraries and headers for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Development libraries and
 headers.

Package: gsoap
Section: devel
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap-dev (= ${binary:Version})
Description: Stub generators for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Stub generators.

Package: gsoap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Replaces: gsoap (<< 2.7.17)
Breaks: gsoap (<< 2.7.17)
Depends: ${misc:Depends}
Description: gSOAP documentation
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Documentation files.

Package: libgsoap-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libgsoap9 (= ${binary:Version})
Description: Debugging symbols for gSOAP libraries
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Debugging symbols for libraries.

Package: gsoap-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, gsoap (= ${binary:Version})
Description: Debugging symbols for gSOAP stub generators
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Debugging symbols for stub
 generators.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

-include /usr/share/dpkg/buildflags.mk

version = 2.8.30
# Bump the soversion whenever the new version is not backwards compatible
soversion = 9

export SOURCE_DATE_EPOCH = \
	$(shell date -d "$$(dpkg-parsechangelog -c 1 -S Date)" +%s)

configure: configure-stamp

configure-stamp:
	dh_testdir

	find . -name '*.xml' -exec chmod a-x {} ';'

	chmod a-x gsoap/doc/fonts/*

	dh_autoreconf

	CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' \
	CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' ./configure \
		--prefix=/usr \
		--libdir='$${prefix}/lib/$(DEB_HOST_MULTIARCH)' \
		--enable-ipv6 \
		--enable-samples

	touch $@

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir

	$(MAKE) SOVERSION=$(soversion)

	for f in gsoap/doc/*/Doxyfile ; do \
	  ( cd `dirname $$f` ; doxygen Doxyfile ) ; \
	done

	touch $@

clean:
	dh_testdir
	dh_testroot

	if [ -r Makefile ]; then $(MAKE) reallyveryveryclean; fi

	dh_autoreconf_clean

	rm -rf gsoap/doc/*/html
	rm -f gsoap/doc/*/doxygen_sqlite3.db

	rm -f build-stamp configure-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install SOVERSION=$(soversion) DESTDIR=$(CURDIR)/debian/tmp

	install -p -m 644 debian/WS-README \
	  $(CURDIR)/debian/tmp/usr/share/gsoap/WS

	rm $(CURDIR)/debian/tmp/usr/lib/*/*.la

binary: binary-arch binary-indep

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installchangelogs -a
	dh_install -a --fail-missing
	dh_installman -a
	dh_link -a
	dh_strip -a -X/bin/ --dbg-package=libgsoap-dbg
	dh_strip -a -X/lib/ --dbg-package=gsoap-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	find $(CURDIR)/debian/gsoap-doc -name Doxyfile -exec rm {} ';'
	dh_installchangelogs -i
	dh_install -i --fail-missing
	dh_installman -i
	dh_lintian -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

get-orig-source:
	if [ -r gsoap_$(version).orig.tar.gz ] ; then \
	  echo "gsoap_$(version).orig.tar.gz already exists." ; \
	else \
	  if [ -d "gsoap-2.8" ]; then \
	    echo "Please remove existing directory 'gsoap-2.8'" ; \
	    exit 1 ; \
	  fi ; \
	  if [ -d "gsoap-$(version)" ]; then \
	    echo "Please remove existing directory 'gsoap-$(version)'" ; \
	    exit 1 ; \
	  fi ; \
	  if [ -r gsoap_$(version).zip ]; then \
	    echo "Using existing ZIP archive gsoap_$(version).zip" ; \
	    echo "Delete the file and rerun if you want to redownload" ; \
	  else \
	    echo "Fetching upstream ZIP archive" ; \
	    wget http://downloads.sourceforge.net/gsoap2/gsoap_$(version).zip ; \
	  fi ; \
	  echo "Unpacking and renaming folder" ; \
	  unzip gsoap_$(version).zip ; \
	  mv gsoap-2.8 gsoap-$(version) ; \
	  echo "Deleting precompiled binaries" ; \
	  rm -rf gsoap-$(version)/gsoap/bin \
		 gsoap-$(version)/gsoap/ios_plugin/examples/*/build \
		 gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
		 gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
	  ( cd gsoap-$(version)/gsoap/samples/link++ ; make distclean ) ; \
	  echo "Deleting pre-generated doxygen documentaion" ; \
	  rm -rf gsoap-$(version)/gsoap/doc/*/html \
		 gsoap-$(version)/gsoap/ios_plugin/ios_plugin/docs/html \
		 gsoap-$(version)/gsoap/samples/databinding/html ; \
	  echo "Deleting code with only non-free licenses" ; \
	  rm -rf gsoap-$(version)/gsoap/extras \
		 gsoap-$(version)/gsoap/mod_gsoap \
		 gsoap-$(version)/gsoap/Symbian ; \
	  echo "Deleting xsd and wsdl files" ; \
	  rm -rf gsoap-$(version)/gsoap/WS/*.xsd \
		 gsoap-$(version)/gsoap/WS/*.wsdl \
		 gsoap-$(version)/gsoap/samples/autotest/*.xsd \
		 gsoap-$(version)/gsoap/samples/autotest/*.wsdl \
		 gsoap-$(version)/gsoap/uddi2/*.xsd \
		 gsoap-$(version)/gsoap/uddi2/*.wsdl ; \
	  echo "Repacking" ; \
	  tar -z -c -f gsoap_$(version).orig.tar.gz gsoap-$(version) ; \
	  echo "Cleaning up" ; \
	  rm -rf gsoap-$(version) ; \
	  echo "Done" ; \
	fi

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure install get-orig-source

## gsoap 2.8.35

=== debian/changelog ===
gsoap (2.8.35-4+deb9u2) stretch; urgency=medium

  * Fix for CVE-2019-7659
    Genivia gSOAP 2.7.x and 2.8.x before 2.8.75 allows attackers to cause a
    denial of service (application abort) or possibly have unspecified other
    impact if a server application is built with the -DWITH_COOKIES flag. This
    affects the C/C++ libgsoapck/libgsoapck++ and libgsoapssl/libgsoapssl++
    libraries, as these are built with that flag.
  * Fix issue with DIME protocol receiver and malformed DIME headers
    This patch addresses a critical issue with the DIME protocol receiver that
    may cause the receiver to become unresponsive when a malformed DIME
    protocol message is received. -- https://www.genivia.com/advisory.html

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 14 Feb 2019 17:12:12 +0100

gsoap (2.8.35-4+deb9u1) stretch; urgency=medium

  * Fix for CVE-2017-9765
    Integer overflow in the soap_get function in Genivia gSOAP 2.7.x and 2.8.x
    before 2.8.48, allows remote attackers to execute arbitrary code or cause
    a denial of service (stack-based buffer overflow and application crash)
    via a large XML document.

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 16 Aug 2017 11:58:11 +0200

gsoap (2.8.35-4) unstable; urgency=medium

  * Rebuild for OpenSSL 1.1.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 06 Dec 2016 09:32:36 +0100

gsoap (2.8.35-3) unstable; urgency=medium

  * Force non-parallel make (Closes: #839019)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 03 Oct 2016 13:20:15 +0200

gsoap (2.8.35-2) unstable; urgency=medium

  * Backport fix from upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 26 Sep 2016 14:49:28 +0200

gsoap (2.8.35-1) unstable; urgency=medium

  * New upstream release
  * Add fixes for OpenSSL 1.1.0 (Closes: #828333)
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 19 Sep 2016 11:29:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: gsoap
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), dh-autoreconf, flex, bison, libssl-dev, doxygen, graphviz
-Standards-Version: 3.9.7
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Build-Depends: debhelper (>= 9), dh-autoreconf, flex, bison, libssl-dev, zlib1g-dev, doxygen, graphviz
+Standards-Version: 3.9.8
 Section: devel
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gsoap
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gsoap
 Homepage: http://gsoap2.sourceforge.net/
 
-Package: libgsoap9
+Package: libgsoap10
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -24,7 +24,7 @@
 Multi-Arch: same
 Replaces: gsoap (<< 2.8.12)
 Breaks: gsoap (<< 2.8.12)
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap9 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap10 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and
@@ -55,7 +55,7 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libgsoap9 (= ${binary:Version})
+Depends: ${misc:Depends}, libgsoap10 (= ${binary:Version})
 Description: Debugging symbols for gSOAP libraries
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Debugging symbols for libraries.

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,9 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-version = 2.8.30
+version = 2.8.35
 # Bump the soversion whenever the new version is not backwards compatible
-soversion = 9
+soversion = 10
 
 export SOURCE_DATE_EPOCH = \
 	$(shell date -d "$$(dpkg-parsechangelog -c 1 -S Date)" +%s)
@@ -41,7 +41,7 @@
 build-stamp: configure-stamp
 	dh_testdir
 
-	$(MAKE) SOVERSION=$(soversion)
+	$(MAKE) -j1 SOVERSION=$(soversion)
 
 	for f in gsoap/doc/*/Doxyfile ; do \
 	  ( cd `dirname $$f` ; doxygen Doxyfile ) ; \
@@ -53,7 +53,7 @@
 	dh_testdir
 	dh_testroot
 
-	if [ -r Makefile ]; then $(MAKE) reallyveryveryclean; fi
+	if [ -r Makefile ]; then $(MAKE) -j1 reallyveryveryclean; fi
 
 	dh_autoreconf_clean
 
@@ -70,7 +70,7 @@
 	dh_prep
 	dh_installdirs
 
-	$(MAKE) install SOVERSION=$(soversion) DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) -j1 install SOVERSION=$(soversion) DESTDIR=$(CURDIR)/debian/tmp
 
 	install -p -m 644 debian/WS-README \
 	  $(CURDIR)/debian/tmp/usr/share/gsoap/WS
@@ -139,14 +139,11 @@
 	  mv gsoap-2.8 gsoap-$(version) ; \
 	  echo "Deleting precompiled binaries" ; \
 	  rm -rf gsoap-$(version)/gsoap/bin \
-		 gsoap-$(version)/gsoap/ios_plugin/examples/*/build \
 		 gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
 		 gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
 	  ( cd gsoap-$(version)/gsoap/samples/link++ ; make distclean ) ; \
 	  echo "Deleting pre-generated doxygen documentaion" ; \
-	  rm -rf gsoap-$(version)/gsoap/doc/*/html \
-		 gsoap-$(version)/gsoap/ios_plugin/ios_plugin/docs/html \
-		 gsoap-$(version)/gsoap/samples/databinding/html ; \
+	  rm -rf gsoap-$(version)/gsoap/doc/*/html ; \
 	  echo "Deleting code with only non-free licenses" ; \
 	  rm -rf gsoap-$(version)/gsoap/extras \
 		 gsoap-$(version)/gsoap/mod_gsoap \

## gsoap 2.8.49

=== debian/changelog ===
gsoap (2.8.49-1) unstable; urgency=medium

  * New upstream release
  * Drop patch gsoap-xlocale.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 11 Jul 2017 16:25:05 +0200

gsoap (2.8.48-3) unstable; urgency=medium

  * Migrate to dbgsym packages
  * Support cross compilation - patch by Helmut Grohne <h.grohne@intenta.de>
    (Closes: #850826)
  * Update the xlocale patch based on upstream's feedback

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 07 Jul 2017 16:11:26 +0200

gsoap (2.8.48-2) unstable; urgency=medium

  * Don't include xlocale.h

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 05 Jul 2017 05:06:36 +0200

gsoap (2.8.48-1) unstable; urgency=medium

  * New upstream release (Closes: #859932)
  * Use -release instead of -version-info to set soname of shared libraries
  * Drop patches gsoap-backport.patch and gsoap-openssl110.patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 21 Jun 2017 09:56:01 +0200

=== debian/control ===
Source: gsoap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends: debhelper (>= 9), dh-autoreconf, flex, bison, libssl-dev, libssl-dev:native, zlib1g-dev, zlib1g-dev:native, doxygen, graphviz
Standards-Version: 4.0.0
Section: devel
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gsoap
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gsoap
Homepage: http://gsoap2.sourceforge.net/

Package: libgsoap-2.8.49
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Runtime libraries for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Runtime libraries.

Package: libgsoap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Replaces: gsoap (<< 2.8.12)
Breaks: gsoap (<< 2.8.12)
Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap-2.8.49 (= ${binary:Version})
Description: Development libraries and headers for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Development libraries and
 headers.

Package: gsoap
Section: devel
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap-dev (= ${binary:Version})
Description: Stub generators for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Stub generators.

Package: gsoap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Replaces: gsoap (<< 2.7.17)
Breaks: gsoap (<< 2.7.17)
Depends: ${misc:Depends}
Description: gSOAP documentation
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Documentation files.

=== debian/rules ===
--- 
+++ 
@@ -1,34 +1,48 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
+include /usr/share/dpkg/architecture.mk
 -include /usr/share/dpkg/buildflags.mk
 
-version = 2.8.35
-# Bump the soversion whenever the new version is not backwards compatible
-soversion = 10
+version = 2.8.49
 
 export SOURCE_DATE_EPOCH = \
 	$(shell date -d "$$(dpkg-parsechangelog -c 1 -S Date)" +%s)
 
 configure: configure-stamp
 
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+CONFIGURE_FLAGS += --with-soapcpp2=$(CURDIR)/build-native/gsoap/src/soapcpp2
+CONFIGURE_FLAGS += --with-wsdl2h=$(CURDIR)/build-native/gsoap/wsdl/wsdl2h
+endif
+
 configure-stamp:
 	dh_testdir
 
-	find . -name '*.xml' -exec chmod a-x {} ';'
+	find gsoap/samples/autotest/databinding/examples -name '*.xml' \
+		-exec chmod a-x {} ';'
 
 	chmod a-x gsoap/doc/fonts/*
 
 	dh_autoreconf
 
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+	mkdir build-native
+	# out of tree builds are broken
+	cp -a aclocal.m4 configure configure.ac gsoap Makefile.am ylwrap *.in build-native/
+	cd build-native && ./configure
+	$(MAKE) -C build-native
+endif
+
 	CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' \
 	CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' ./configure \
+		--build=$(DEB_BUILD_GNU_TYPE) \
+		--host=$(DEB_HOST_GNU_TYPE) \
 		--prefix=/usr \
 		--libdir='$${prefix}/lib/$(DEB_HOST_MULTIARCH)' \
 		--enable-ipv6 \
-		--enable-samples
+		--enable-samples \
+		$(CONFIGURE_FLAGS)
 
 	touch $@
 
@@ -41,7 +55,7 @@
 build-stamp: configure-stamp
 	dh_testdir
 
-	$(MAKE) -j1 SOVERSION=$(soversion)
+	$(MAKE) -j1
 
 	for f in gsoap/doc/*/Doxyfile ; do \
 	  ( cd `dirname $$f` ; doxygen Doxyfile ) ; \
@@ -59,6 +73,7 @@
 
 	rm -rf gsoap/doc/*/html
 	rm -f gsoap/doc/*/doxygen_sqlite3.db
+	rm -rf build-native
 
 	rm -f build-stamp configure-stamp
 
@@ -70,7 +85,7 @@
 	dh_prep
 	dh_installdirs
 
-	$(MAKE) -j1 install SOVERSION=$(soversion) DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) -j1 install DESTDIR=$(CURDIR)/debian/tmp
 
 	install -p -m 644 debian/WS-README \
 	  $(CURDIR)/debian/tmp/usr/share/gsoap/WS
@@ -84,11 +99,11 @@
 	dh_testroot
 	dh_installdocs -a
 	dh_installchangelogs -a
-	dh_install -a --fail-missing
+	dh_install -a
+	dh_missing -a --fail-missing
 	dh_installman -a
 	dh_link -a
-	dh_strip -a -X/bin/ --dbg-package=libgsoap-dbg
-	dh_strip -a -X/lib/ --dbg-package=gsoap-dbg
+	dh_strip -a --dbgsym-migration='libgsoap-dbg (<< 2.8.48-3~), gsoap-dbg (<< 2.8.48-3~)'
 	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -a
@@ -104,7 +119,8 @@
 	dh_installdocs -i
 	find $(CURDIR)/debian/gsoap-doc -name Doxyfile -exec rm {} ';'
 	dh_installchangelogs -i
-	dh_install -i --fail-missing
+	dh_install -i
+	dh_missing -i --fail-missing
 	dh_installman -i
 	dh_lintian -i
 	dh_link -i
@@ -140,9 +156,12 @@
 	  echo "Deleting precompiled binaries" ; \
 	  rm -rf gsoap-$(version)/gsoap/bin \
 		 gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
+		 gsoap-$(version)/gsoap/samples/rest/person \
 		 gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
 	  ( cd gsoap-$(version)/gsoap/samples/link++ ; make distclean ) ; \
+	  ( cd gsoap-$(version)/gsoap/samples/wcf/Basic/TransportSecurity ; make distclean ) ; \
 	  echo "Deleting pre-generated doxygen documentaion" ; \
+	  rm -rf gsoap-$(version)/gsoap/doc/html ; \
 	  rm -rf gsoap-$(version)/gsoap/doc/*/html ; \
 	  echo "Deleting code with only non-free licenses" ; \
 	  rm -rf gsoap-$(version)/gsoap/extras \

## gsoap 2.8.60

=== gsoap/samples/webserver/Makefile ===
--- 
+++ 
@@ -13,9 +13,9 @@
 CMFLAGS=-DWITH_COOKIES -DWITH_GZIP -DWITH_OPENSSL 
 CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
 all:		webserver
-webserver:	webserver.h webserver.c logging.o httpget.o httpform.o httpda.o smdevp.o threads.o options.o $(SOAPH) $(SOAPC)
+webserver:	webserver.h webserver.c logging.o httpget.o httppost.o httpform.o httpda.o smdevp.o threads.o options.o $(SOAPH) $(SOAPC)
 		$(GSOAP) -c -L webserver.h
-		$(CC) $(CFLAGS) -o webserver webserver.c logging.o httpget.o httpform.o httpda.o smdevp.o threads.o options.o soapC.c soapClient.c soapServer.c $(SOAPC) $(LIBS)
+		$(CC) $(CFLAGS) -o webserver webserver.c logging.o httpget.o httppost.o httpform.o httpda.o smdevp.o threads.o options.o soapC.c soapClient.c soapServer.c $(SOAPC) $(LIBS)
 options.o:	opt.h options.h options.c
 		$(GSOAP) -cnpopt opt.h
 		$(CC) $(CFLAGS) -c options.c
@@ -23,6 +23,8 @@
 		$(CC) $(CFLAGS) -c ../../plugin/logging.c
 httpget.o:      ../../plugin/httpget.h ../../plugin/httpget.c
 		$(CC) $(CFLAGS) -c ../../plugin/httpget.c
+httppost.o:	../../plugin/httppost.h ../../plugin/httppost.c
+		$(CC) $(CFLAGS) -c ../../plugin/httppost.c
 httpform.o:	../../plugin/httpform.h ../../plugin/httpform.c
 		$(CC) $(CFLAGS) -c ../../plugin/httpform.c
 httpda.o:	../../plugin/httpda.h ../../plugin/httpda.c

=== debian/changelog ===
gsoap (2.8.60-2build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:37 +0000

gsoap (2.8.60-2) unstable; urgency=medium

  * Restore broken -c and -s modes in wsdl2h
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 03 Feb 2018 17:27:02 +0100

gsoap (2.8.60-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 30 Jan 2018 09:04:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: gsoap
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends: debhelper (>= 9), dh-autoreconf, flex, bison, libssl-dev, libssl-dev:native, zlib1g-dev, zlib1g-dev:native, doxygen, graphviz
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Section: devel
-Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gsoap
-Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gsoap
+Vcs-Browser: https://salsa.debian.org/ellert/gsoap
+Vcs-Git: https://salsa.debian.org/ellert/gsoap.git
 Homepage: http://gsoap2.sourceforge.net/
 
-Package: libgsoap-2.8.49
+Package: libgsoap-2.8.60
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -24,7 +25,7 @@
 Multi-Arch: same
 Replaces: gsoap (<< 2.8.12)
 Breaks: gsoap (<< 2.8.12)
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap-2.8.49 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgsoap-2.8.60 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/architecture.mk
 -include /usr/share/dpkg/buildflags.mk
 
-version = 2.8.49
+version = 2.8.60
 
 export SOURCE_DATE_EPOCH = \
 	$(shell date -d "$$(dpkg-parsechangelog -c 1 -S Date)" +%s)

## gsoap 2.8.75

=== debian/changelog ===
gsoap (2.8.75-2) unstable; urgency=medium

  * Convert debian/rules to dh tool
  * Change to debhelper compat level 10
  * Separate arch and indep rules in debian/rules
  * Drop Depends on libgsoap-dev in gsoap (Closes: #930961)
  * Replace top level index.html in the doc package with a version without
    external references (lintian privacy-breach-generic warning)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 22 Jul 2019 09:35:50 +0200

gsoap (2.8.75-1) unstable; urgency=medium

  * New upstream release
  * Drop patches gsoap-header.patch and gsoap-size-aname.patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 20 Jan 2019 14:32:36 +0100

=== debian/control ===
Source: gsoap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper (>= 10)
Build-Depends-Arch:
 flex,
 bison,
 libssl-dev,
 libssl-dev:native,
 zlib1g-dev,
 zlib1g-dev:native,
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 4.4.0
Section: devel
Vcs-Browser: https://salsa.debian.org/ellert/gsoap
Vcs-Git: https://salsa.debian.org/ellert/gsoap.git
Homepage: http://gsoap2.sourceforge.net/

Package: libgsoap-2.8.75
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: Runtime libraries for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Runtime libraries.

Package: libgsoap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Replaces:
 gsoap (<< 2.8.12)
Breaks:
 gsoap (<< 2.8.12)
Depends:
 ${misc:Depends},
 libgsoap-2.8.75 (= ${binary:Version})
Description: Development libraries and headers for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Development libraries and
 headers.

Package: gsoap
Section: devel
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Stub generators for gSOAP
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Stub generators.

Package: gsoap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Replaces:
 gsoap (<< 2.7.17)
Breaks:
 gsoap (<< 2.7.17)
Depends:
 ${misc:Depends}
Description: gSOAP documentation
 The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
 development of SOAP Web Services and clients. Documentation files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

version = 2.8.75

%:
	dh $@ --no-parallel

override_dh_auto_configure-arch:
	find gsoap/samples/autotest/databinding/examples -name '*.xml' \
		-exec chmod a-x {} ';'
	find . -name .DS_Store -exec rm {} ';'

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	mkdir build-native
	# out of tree builds are broken
	cp -a aclocal.m4 configure configure.ac gsoap Makefile.am ylwrap *.in \
		build-native
	cd build-native && ./configure
	$(MAKE) -C build-native

	dh_auto_configure -- \
		--with-soapcpp2=$(CURDIR)/build-native/gsoap/src/soapcpp2 \
		--with-wsdl2h=$(CURDIR)/build-native/gsoap/wsdl/wsdl2h \
		--enable-ipv6 \
		--enable-samples
else
	dh_auto_configure -- \
		--enable-ipv6 \
		--enable-samples
endif

override_dh_auto_clean-arch:
	dh_auto_clean
	rm -rf build-native

override_dh_auto_install-arch:
	dh_auto_install
	rm debian/tmp/usr/lib/*/*.la
	install -p -m 644 debian/WS-README debian/tmp/usr/share/gsoap/WS

override_dh_missing-arch:
	dh_missing --fail-missing

override_dh_strip-arch:
	dh_strip --dbgsym-migration='libgsoap-dbg (<< 2.8.48-3~), gsoap-dbg (<< 2.8.48-3~)'

override_dh_autoreconf-indep:

override_dh_auto_configure-indep:
	chmod a-x gsoap/doc/fonts/*
	find . -name .DS_Store -exec rm {} ';'

override_dh_auto_build-indep:
	for f in gsoap/doc/*/Doxyfile ; do \
	  ( cd `dirname $$f` ; doxygen Doxyfile ) ; \
	done

override_dh_auto_clean-indep:
	rm -rf gsoap/doc/*/html
	rm -f gsoap/doc/*/doxygen_sqlite3.db

override_dh_auto_install-indep:

override_dh_installdocs-indep:
	dh_installdocs -X Doxyfile -X README.txt \
		-X doxygen_footer.html -X doxygen_header.html \
		-X guide/index.md -X guide/stdsoap2.h -X soapdoc2.html \
		-X gsoap/doc/GeniviaLogo2_trans_noslogan.png \
		-X gsoap/doc/genivia_content.css \
		-X gsoap/doc/genivia_tabs.css \
		-X gsoap/doc/index.html \
		-X apache/ -X wininet/ -X isapi/ \
		-X doxygen_sqlite3.db

override_dh_compress-indep:
	dh_compress -X fonts

get-orig-source:
	if [ -r gsoap_$(version).orig.tar.gz ] ; then \
	  echo "gsoap_$(version).orig.tar.gz already exists." ; \
	else \
	  if [ -d "gsoap-2.8" ]; then \
	    echo "Please remove existing directory 'gsoap-2.8'" ; \
	    exit 1 ; \
	  fi ; \
	  if [ -d "gsoap-$(version)" ]; then \
	    echo "Please remove existing directory 'gsoap-$(version)'" ; \
	    exit 1 ; \
	  fi ; \
	  if [ -r gsoap_$(version).zip ]; then \
	    echo "Using existing ZIP archive gsoap_$(version).zip" ; \
	    echo "Delete the file and rerun if you want to redownload" ; \
	  else \
	    echo "Fetching upstream ZIP archive" ; \
	    wget http://downloads.sourceforge.net/gsoap2/gsoap_$(version).zip ; \
	  fi ; \
	  echo "Unpacking and renaming folder" ; \
	  unzip gsoap_$(version).zip ; \
	  mv gsoap-2.8 gsoap-$(version) ; \
	  echo "Deleting precompiled binaries" ; \
	  rm -rf gsoap-$(version)/gsoap/bin \
		 gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
		 gsoap-$(version)/gsoap/samples/rest/person \
		 gsoap-$(version)/gsoap/samples/wcf/Basic/TransportSecurity/calculator \
		 gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
	  echo "Deleting pre-generated doxygen documentaion" ; \
	  rm -rf gsoap-$(version)/gsoap/doc/*/html ; \
	  echo "Deleting code with only non-free licenses" ; \
	  rm -rf gsoap-$(version)/gsoap/extras \
		 gsoap-$(version)/gsoap/mod_gsoap \
		 gsoap-$(version)/gsoap/Symbian ; \
	  echo "Deleting xsd and wsdl files" ; \
	  rm -rf gsoap-$(version)/gsoap/WS/*.xsd \
		 gsoap-$(version)/gsoap/WS/*.wsdl \
		 gsoap-$(version)/gsoap/samples/autotest/*.xsd \
		 gsoap-$(version)/gsoap/samples/autotest/*.wsdl \
		 gsoap-$(version)/gsoap/uddi2/*.xsd \
		 gsoap-$(version)/gsoap/uddi2/*.wsdl ; \
	  echo "Repacking" ; \
	  tar -z -c -f gsoap_$(version).orig.tar.gz gsoap-$(version) ; \
	  echo "Cleaning up" ; \
	  rm -rf gsoap-$(version) ; \
	  echo "Done" ; \
	fi

## gsoap 2.8.91

=== debian/changelog ===
gsoap (2.8.91-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 03 Dec 2019 11:22:40 +0100

gsoap (2.8.91-1) unstable; urgency=medium

  * Update to 2.8.91
  * Drop patch gsoap-samples-xml-rpc-json-pthread.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 16 Aug 2019 19:36:25 +0200

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Section: devel
 Vcs-Browser: https://salsa.debian.org/ellert/gsoap
 Vcs-Git: https://salsa.debian.org/ellert/gsoap.git
 Homepage: http://gsoap2.sourceforge.net/
 
-Package: libgsoap-2.8.75
+Package: libgsoap-2.8.91
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -42,7 +42,7 @@
  gsoap (<< 2.8.12)
 Depends:
  ${misc:Depends},
- libgsoap-2.8.75 (= ${binary:Version})
+ libgsoap-2.8.91 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-version = 2.8.75
+version = 2.8.91
 
 %:
 	dh $@ --no-parallel
@@ -9,7 +9,6 @@
 override_dh_auto_configure-arch:
 	find gsoap/samples/autotest/databinding/examples -name '*.xml' \
 		-exec chmod a-x {} ';'
-	find . -name .DS_Store -exec rm {} ';'
 
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 	mkdir build-native
@@ -49,7 +48,6 @@
 
 override_dh_auto_configure-indep:
 	chmod a-x gsoap/doc/fonts/*
-	find . -name .DS_Store -exec rm {} ';'
 
 override_dh_auto_build-indep:
 	for f in gsoap/doc/*/Doxyfile ; do \
@@ -68,9 +66,8 @@
 		-X guide/index.md -X guide/stdsoap2.h -X soapdoc2.html \
 		-X gsoap/doc/GeniviaLogo2_trans_noslogan.png \
 		-X gsoap/doc/genivia_content.css \
-		-X gsoap/doc/genivia_tabs.css \
+		-X genivia_tabs.css \
 		-X gsoap/doc/index.html \
-		-X apache/ -X wininet/ -X isapi/ \
 		-X doxygen_sqlite3.db
 
 override_dh_compress-indep:
@@ -99,24 +96,33 @@
 	  unzip gsoap_$(version).zip ; \
 	  mv gsoap-2.8 gsoap-$(version) ; \
 	  echo "Deleting precompiled binaries" ; \
-	  rm -rf gsoap-$(version)/gsoap/bin \
-		 gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
-		 gsoap-$(version)/gsoap/samples/rest/person \
-		 gsoap-$(version)/gsoap/samples/wcf/Basic/TransportSecurity/calculator \
-		 gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
+	  rm -rf gsoap-$(version)/gsoap/bin ; \
+	  rm gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
+	     gsoap-$(version)/gsoap/samples/rest/person \
+	     gsoap-$(version)/gsoap/samples/wcf/Basic/TransportSecurity/calculator \
+	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
 	  echo "Deleting pre-generated doxygen documentaion" ; \
 	  rm -rf gsoap-$(version)/gsoap/doc/*/html ; \
 	  echo "Deleting code with only non-free licenses" ; \
 	  rm -rf gsoap-$(version)/gsoap/extras \
 		 gsoap-$(version)/gsoap/mod_gsoap \
-		 gsoap-$(version)/gsoap/Symbian ; \
+		 gsoap-$(version)/gsoap/Symbian \
+		 gsoap-$(version)/gsoap/doc/apache \
+		 gsoap-$(version)/gsoap/doc/wininet \
+		 gsoap-$(version)/gsoap/doc/isapi ; \
 	  echo "Deleting xsd and wsdl files" ; \
-	  rm -rf gsoap-$(version)/gsoap/WS/*.xsd \
-		 gsoap-$(version)/gsoap/WS/*.wsdl \
-		 gsoap-$(version)/gsoap/samples/autotest/*.xsd \
-		 gsoap-$(version)/gsoap/samples/autotest/*.wsdl \
-		 gsoap-$(version)/gsoap/uddi2/*.xsd \
-		 gsoap-$(version)/gsoap/uddi2/*.wsdl ; \
+	  rm gsoap-$(version)/gsoap/WS/*.xsd \
+	     gsoap-$(version)/gsoap/WS/*.wsdl \
+	     gsoap-$(version)/gsoap/samples/autotest/*.xsd \
+	     gsoap-$(version)/gsoap/samples/autotest/*.wsdl \
+	     gsoap-$(version)/gsoap/uddi2/*.xsd \
+	     gsoap-$(version)/gsoap/uddi2/*.wsdl ; \
+	  echo "Deleting pre-generated files" ; \
+	  rm gsoap-$(version)/gsoap/samples/webserver/optC.c \
+	     gsoap-$(version)/gsoap/samples/webserver/optH.h \
+	     gsoap-$(version)/gsoap/samples/webserver/optStub.h ; \
+	  echo "Deleting .DS_Store files" ; \
+	  find gsoap-$(version) -name .DS_Store -exec rm {} ';' ; \
 	  echo "Repacking" ; \
 	  tar -z -c -f gsoap_$(version).orig.tar.gz gsoap-$(version) ; \
 	  echo "Cleaning up" ; \

## gsoap 2.8.104

=== debian/changelog ===
gsoap (2.8.104-3) unstable; urgency=high

  * Backporting upstream fixes (Closes: #983596)
    - Fixes CVE: CVE-2020-13574 CVE-2020-13575 CVE-2020-13577 CVE-2020-13578
    - Fixes CVE: CVE-2020-13576
  * Urgency high due to fixing RC bug

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 08 Mar 2021 14:06:23 +0100

gsoap (2.8.104-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 25 Jul 2020 08:30:12 +0200

gsoap (2.8.104-1) unstable; urgency=medium

  * Update to 2.8.104
  * Drop patches gsoap-doc-typo.patch and gsoap-yylval.patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 22 Jul 2020 15:23:55 +0200

gsoap (2.8.91-3) unstable; urgency=medium

  * Link failure with gcc 10 - multiple definition of yylval (closes: #957315)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 24 Apr 2020 09:20:24 +0200

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Section: devel
 Vcs-Browser: https://salsa.debian.org/ellert/gsoap
 Vcs-Git: https://salsa.debian.org/ellert/gsoap.git
 Homepage: http://gsoap2.sourceforge.net/
 
-Package: libgsoap-2.8.91
+Package: libgsoap-2.8.104
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -42,7 +42,7 @@
  gsoap (<< 2.8.12)
 Depends:
  ${misc:Depends},
- libgsoap-2.8.91 (= ${binary:Version})
+ libgsoap-2.8.104 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-version = 2.8.91
+version = 2.8.104
 
 %:
 	dh $@ --no-parallel
@@ -36,6 +36,8 @@
 override_dh_auto_install-arch:
 	dh_auto_install
 	rm debian/tmp/usr/lib/*/*.la
+	rm debian/tmp/usr/share/gsoap/plugin/testmsgr-httpda.o
+	rm debian/tmp/usr/share/gsoap/plugin/testmsgr-smdevp.o
 	install -p -m 644 debian/WS-README debian/tmp/usr/share/gsoap/WS
 
 override_dh_missing-arch:
@@ -97,8 +99,7 @@
 	  mv gsoap-2.8 gsoap-$(version) ; \
 	  echo "Deleting precompiled binaries" ; \
 	  rm -rf gsoap-$(version)/gsoap/bin ; \
-	  rm gsoap-$(version)/gsoap/samples/calc_vs2005/calc_vs2005/soapcpp2.exe \
-	     gsoap-$(version)/gsoap/samples/rest/person \
+	  rm gsoap-$(version)/gsoap/samples/rest/person \
 	     gsoap-$(version)/gsoap/samples/wcf/Basic/TransportSecurity/calculator \
 	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/soapcpp2.exe ; \
 	  echo "Deleting pre-generated doxygen documentaion" ; \
@@ -120,7 +121,10 @@
 	  echo "Deleting pre-generated files" ; \
 	  rm gsoap-$(version)/gsoap/samples/webserver/optC.c \
 	     gsoap-$(version)/gsoap/samples/webserver/optH.h \
-	     gsoap-$(version)/gsoap/samples/webserver/optStub.h ; \
+	     gsoap-$(version)/gsoap/samples/webserver/optStub.h \
+	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/wsdlC.cpp \
+	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/wsdlH.h \
+	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/wsdlStub.h ; \
 	  echo "Deleting .DS_Store files" ; \
 	  find gsoap-$(version) -name .DS_Store -exec rm {} ';' ; \
 	  echo "Repacking" ; \

## gsoap 2.8.117

=== gsoap/samples/wcf/WS/DualHttp/Makefile ===
URL=http://192.168.2.2:8000/ServiceModelSamples/service
WSDL=../../../../wsdl/wsdl2h
GSOAP=../../../../src/soapcpp2
SOAPH=../../../../stdsoap2.h
SOAPC=../../../../stdsoap2.c
SOAPCPP=../../../../stdsoap2.cpp
SOAPDOMC=../../../../dom.c
SOAPDOMCPP=../../../../dom.cpp
TYPEMAP=../../../../typemap.dat
CC=gcc -x c
CPP=g++ -x c++
LIBS=-lssl -lcrypto
GSFLAGS=-L -I../../../../import -I../../../..
COFLAGS=-O2
CWFLAGS=-Wall -Wno-deprecated-declarations
CIFLAGS=-I. -I../../../.. -I../../../../plugin
CMFLAGS=-DCB_THREAD -DWITH_WCF -DWITH_DOM -DWITH_OPENSSL
CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
all:		calculator
calculator:	calculator.h calculator.cpp $(SOAPH) $(SOAPC) wsrxClient.cpp
		$(GSOAP) $(GSFLAGS) -a -j calculator.h
		$(CPP) $(CFLAGS) -o calculator calculator.cpp soapC.cpp soapWSDualHttpBinding_USCOREICalculatorDuplexService.cpp soapWSDualHttpBinding_USCOREICalculatorDuplexProxy.cpp wsrxClient.cpp wsrxServer.cpp ../../../../plugin/wsrmapi.c ../../../../plugin/wsaapi.c ../../../../custom/duration.c $(SOAPDOMCPP) $(SOAPCPP) $(LIBS)
wsrxClient.cpp wsrxServer.cpp:
		$(GSOAP) $(GSFLAGS) -A -pwsrx ../../../../import/wsrm5.h
%.cer: %.pem
		openssl x509 -in $< -outform der -out $@
calculator.h:
		$(WSDL) -t $(TYPEMAP) -o calculator.h $(URL)?wsdl
.PHONY: clean distclean
clean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
		rm -f *.o wsrxH.h wsrxStub.h wsrxC.* wsrxClient.* wsrxServer.* wsrxwsrmObject.h wsrxwsrmProxy.h
distclean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
		rm -f *.o wsrxH.h wsrxStub.h wsrxC.* wsrxClient.* wsrxServer.* wsrxwsrmObject.h wsrxwsrmProxy.h
		rm -f *.xml *.nsmap *.log
		rm -f calculator

=== debian/changelog ===
gsoap (2.8.117-2build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 23 Nov 2021 16:25:52 +0100

gsoap (2.8.117-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 23 Aug 2021 14:31:17 +0200

gsoap (2.8.117-1) unstable; urgency=medium

  * Update to 2.8.117
  * Drop patches previously backported
  * Change to debhelper compat level 13
  * Remove override_dh_missing rule (--fail-missing is default)
  * Add /usr/share/gsoap to soapcpp2's default import path (Closes: #977259)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 20 Aug 2021 21:11:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
- debhelper (>= 10)
+ debhelper (>= 13)
 Build-Depends-Arch:
  flex,
  bison,
@@ -13,13 +13,13 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: devel
 Vcs-Browser: https://salsa.debian.org/ellert/gsoap
 Vcs-Git: https://salsa.debian.org/ellert/gsoap.git
 Homepage: http://gsoap2.sourceforge.net/
 
-Package: libgsoap-2.8.104
+Package: libgsoap-2.8.117
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -42,7 +42,7 @@
  gsoap (<< 2.8.12)
 Depends:
  ${misc:Depends},
- libgsoap-2.8.104 (= ${binary:Version})
+ libgsoap-2.8.117 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-version = 2.8.104
+version = 2.8.117
 
 %:
 	dh $@ --no-parallel
@@ -29,6 +29,10 @@
 		--enable-samples
 endif
 
+override_dh_auto_build-arch:
+	# Add /usr/share/gsoap to soapcpp2's default import path
+	dh_auto_build -- SOAPCPP2_IMPORTPATH='-DSOAPCPP2_IMPORT_PATH="\"/usr/share/gsoap/import:/usr/share/gsoap\""'
+
 override_dh_auto_clean-arch:
 	dh_auto_clean
 	rm -rf build-native
@@ -39,12 +43,6 @@
 	rm debian/tmp/usr/share/gsoap/plugin/testmsgr-httpda.o
 	rm debian/tmp/usr/share/gsoap/plugin/testmsgr-smdevp.o
 	install -p -m 644 debian/WS-README debian/tmp/usr/share/gsoap/WS
-
-override_dh_missing-arch:
-	dh_missing --fail-missing
-
-override_dh_strip-arch:
-	dh_strip --dbgsym-migration='libgsoap-dbg (<< 2.8.48-3~), gsoap-dbg (<< 2.8.48-3~)'
 
 override_dh_autoreconf-indep:
 
@@ -121,10 +119,7 @@
 	  echo "Deleting pre-generated files" ; \
 	  rm gsoap-$(version)/gsoap/samples/webserver/optC.c \
 	     gsoap-$(version)/gsoap/samples/webserver/optH.h \
-	     gsoap-$(version)/gsoap/samples/webserver/optStub.h \
-	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/wsdlC.cpp \
-	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/wsdlH.h \
-	     gsoap-$(version)/gsoap/VisualStudio2005/wsdl2h/wsdl2h/wsdlStub.h ; \
+	     gsoap-$(version)/gsoap/samples/webserver/optStub.h ; \
 	  echo "Deleting .DS_Store files" ; \
 	  find gsoap-$(version) -name .DS_Store -exec rm {} ';' ; \
 	  echo "Repacking" ; \

## gsoap 2.8.124

=== gsoap/samples/curl/Makefile ===
GSOAP=../../src/soapcpp2
SOAPH=../../stdsoap2.h
SOAPC=../../stdsoap2.c
SOAPCPP=../../stdsoap2.cpp
CURLAPI=../../plugin/curlapi.c
CUSTOMDATE=../../custom/struct_tm_date.c
XMLRPC=../xml-rpc-json/xml-rpc.c
JSONC=../xml-rpc-json/json.c
CC=gcc
CPP=g++
LIBS=-lcurl -lcrypto -lssl
COFLAGS=-O2
CWFLAGS=-Wall -Wno-deprecated-declarations
CIFLAGS=-I. -I../.. -I../../plugin -I../xml-rpc
CMFLAGS=-DWITH_OPENSSL 
CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
all:		curlclient curlclient++ curlrest curl-json-currentTime
curlclient:	calc.h curlclient.c
		$(GSOAP) -c -CL calc.h
		$(CC) $(CFLAGS) -o curlclient curlclient.c soapC.c soapClient.c $(CURLAPI) $(SOAPC) $(LIBS)
curlclient++:	calc.h curlclient.cpp
		$(GSOAP) -j -C calc.h
		$(CPP) $(CFLAGS) -o curlclient++ curlclient.cpp soapC.cpp soapcalcProxy.cpp $(CURLAPI) $(SOAPCPP) $(LIBS)
curlrest:	calc.h curlrest.c
		$(GSOAP) -I../.. -c -CSL -0 person.h
		$(CC) $(CFLAGS) -o curlrest curlrest.c soapC.c $(CUSTOMDATE) $(CURLAPI) $(SOAPC) $(LIBS)
curl-json-currentTime:	curl-json-currentTime.c
		$(GSOAP) -c -CSL ../xml-rpc-json/xml-rpc.h
		$(CC) $(CFLAGS) -o curl-json-currentTime curl-json-currentTime.c soapC.c $(XMLRPC) $(JSONC) $(CURLAPI) $(SOAPC) $(LIBS)
.PHONY: clean distclean
clean:
		rm -f *.o soapH.h soapStub.h soapC.c soapC.cpp soapClient.c soapClient.cpp soapcalcProxy.h soapcalcProxy.cpp
distclean:
		rm -f *.o soapH.h soapStub.h soapC.c soapC.cpp soapClient.c soapClient.cpp soapcalcProxy.h soapcalcProxy.cpp
		rm -f *.wsdl *.xsd *.xml *.nsmap *.log
		rm -f curlclient curlclient++ curlrest curl-json-currentTime

=== gsoap/samples/wcf/Basic/Http/Makefile ===
URL=http://192.168.2.2:8000/ServiceModelSamples/service
WSDL=../../../../wsdl/wsdl2h
GSOAP=../../../../src/soapcpp2
SOAPH=../../../../stdsoap2.h
SOAPC=../../../../stdsoap2.c
SOAPCPP=../../../../stdsoap2.cpp
SOAPDOMC=../../../../dom.c
SOAPDOMCPP=../../../../dom.cpp
TYPEMAP=../../../../typemap.dat
CC=gcc
CPP=g++
LIBS=
GSFLAGS=-L -I../../../../import
COFLAGS=-O2
CWFLAGS=-Wall -Wno-deprecated-declarations
CIFLAGS=-I. -I../../../.. -I../../../../plugin
CMFLAGS=
#CMFLAGS=-DDEBUG
CFLAGS= $(CWFLAGS) $(COFLAGS) $(CIFLAGS) $(CMFLAGS)
all:		calculator
calculator:	calculator.h calculator.cpp $(SOAPH) $(SOAPC)
		$(GSOAP) $(GSFLAGS) -a -j calculator.h
		$(CPP) $(CFLAGS) -o calculator calculator.cpp soapC.cpp soapBasicHttpBinding_USCOREICalculatorService.cpp soapBasicHttpBinding_USCOREICalculatorProxy.cpp $(SOAPCPP) $(LIBS)
calculator.h:
		$(WSDL) -t $(TYPEMAP) -o calculator.h $(URL)?wsdl
.PHONY: clean distclean
clean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
distclean:
		rm -f *.o soapH.h soapStub.h soapC.* soapClient.* soapServer.* soap*Proxy.* soap*Service.* soap*Object.*
		rm -f *.xml *.nsmap *.log
		rm -f calculator

=== debian/changelog ===
gsoap (2.8.124-2deepin0+rb1) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 22 Dec 2022 22:12:52 +0100

gsoap (2.8.124-1) unstable; urgency=medium

  * Update to 2.8.124
  * Drop ancient Replaces/Breaks

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 21 Dec 2022 07:46:37 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: devel
 Vcs-Browser: https://salsa.debian.org/ellert/gsoap
 Vcs-Git: https://salsa.debian.org/ellert/gsoap.git
 Homepage: http://gsoap2.sourceforge.net/
 
-Package: libgsoap-2.8.117
+Package: libgsoap-2.8.124
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -36,13 +36,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Replaces:
- gsoap (<< 2.8.12)
-Breaks:
- gsoap (<< 2.8.12)
 Depends:
  ${misc:Depends},
- libgsoap-2.8.117 (= ${binary:Version})
+ libgsoap-2.8.124 (= ${binary:Version})
 Description: Development libraries and headers for gSOAP
  The gSOAP toolkit provides a unique SOAP-to-C/C++ language binding for the
  development of SOAP Web Services and clients. Development libraries and
@@ -63,10 +59,6 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Replaces:
- gsoap (<< 2.7.17)
-Breaks:
- gsoap (<< 2.7.17)
 Depends:
  ${misc:Depends}
 Description: gSOAP documentation
